﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication2
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new CDataRow[] { new CDataRow(1, "Error"), new CDataRow(2, "Warning") };
            Singleton = this;
        }

        internal static MainWindow Singleton;

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            this.XamDataGrid.ActiveRecord = this.XamDataGrid.Records.Last();
        }

        private void XamDataGrid_Sorting_1(object sender, Infragistics.Windows.DataPresenter.Events.SortingEventArgs e)
        {
           XamDataGrid.FieldLayouts[0].Fields["RowErrorLevel"].Visibility = Visibility.Visible;
           XamDataGrid.FieldLayouts[0].Fields["RowErrorLevel"].ActualPosition = new Infragistics.Windows.DataPresenter.FieldPosition(0, 0, 0, 0);
        }

        private void XamDataGrid_RecordFilterChanging_1(object sender, Infragistics.Windows.DataPresenter.Events.RecordFilterChangingEventArgs e)
        {
             XamDataGrid.FieldLayouts[0].Fields["RowErrorLevel"].Visibility = Visibility.Visible;
             XamDataGrid.FieldLayouts[0].Fields["RowErrorLevel"].ActualPosition = new Infragistics.Windows.DataPresenter.FieldPosition(0, 0, 0, 0);
        
        }
    }

    public sealed class CDataRow
    {
        internal CDataRow(int aSampleData, string aRowErrorLevel)
        {
            this.SampleDataM = aSampleData;
            this.RowErrorLevelM = aRowErrorLevel;
        }

        private int SampleDataM;
        public int SampleData
        {
            get
            {
                return this.SampleDataM;
            }
        }

        private string RowErrorLevelM;

        public string RowErrorLevel
        {
            get
            {
                MainWindow.Singleton.RowErrorsLoaded.IsChecked = true;
                return this.RowErrorLevelM;
            }
        }
    }
}
